Subject: Re: MPC5200 does not boot

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 02 Aug 2016 12:44:33 +1000

On Tue, 2016-08-02 at 00:44 +0200, Michal Sojka wrote:
> Hi Benjamin,
> 
> the following commit causes my MPC5200 not to boot.
> 
>     commit 9402c684613163888714df0955fa1f17142b08bf
> >     Author: Benjamin Herrenschmidt <[email-masked]>
>     Date:   Tue Jul 5 15:03:41 2016 +1000
>      
>         powerpc: Factor do_feature_fixup calls
>         
>         32 and 64-bit do a similar set of calls early on, we move it all to
>         a single common function to make the boot code more readable.
>         
>         Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> >         Signed-off-by: Michael Ellerman <[email-masked]>
> 
> I suspect that the cause will be similar as described in commit
> 1cd03890ea64795e53f17a94928cca22495acb2a. Unfortunately, I don't have
> much time to debug this, but I can easily test patches.

Are you sure of your bisection ? Did you verify that reverting that one
patch fixes it ? Because all this does is move code to a function,
the code is functionally the same and called in the same place...

Cheers,
Ben.